# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.456   -> 1.457  
#	drivers/usb/host/uhci-hcd.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/05	bunk@fs.tum.de	1.457
# [PATCH] UHCI bix for build error under unstable debian
# 
# uhci_stop is __devexit but the pointer to it doesn't use __devexit_p.
# The fix is simple:
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Wed Jun  5 12:28:44 2002
+++ b/drivers/usb/host/uhci-hcd.c	Wed Jun  5 12:28:44 2002
@@ -2515,7 +2515,7 @@
 	suspend:		uhci_suspend,
 	resume:			uhci_resume,
 #endif
-	stop:			uhci_stop,
+	stop:			__devexit_p(uhci_stop),
 
 	hcd_alloc:		uhci_hcd_alloc,
 	hcd_free:		uhci_hcd_free,
